<?php if ($GLOBALS['prefs']->getValue('display_edit')) : ?>
<form name="categories" action="<?php echo Horde::applicationUrl('edit.php') ?>" method="post">
<input type="hidden" name="actionID" value="" />
<input type="hidden" name="category_id" value="<?php echo $GLOBALS['category_id'] ?>" />
<input type="hidden" name="create_category" value="0" />
<input type="hidden" name="new_category" value="" />
<?php endif; ?>

<div class="header">
 <?php echo ($GLOBALS['category_id'] == DATATREE_ROOT) ? _("Categories") : sprintf(_("%s Categories"), $GLOBALS['category']->get('name')) ?>
</div>

<?php if ($GLOBALS['prefs']->getValue('display_edit')) : ?>
<table class="control" style="width:100%" cellspacing="0"><tr>
<td>
<?php printf(_("Select: %s, %s"),
             Horde::link('', _("Select All"), 'widget', '', 'selectAllCategories(); return false;') . _("All") . '</a>',
             Horde::link('', _("Select None"), 'widget', '', 'selectNoCategories(); return false;') . _("None") . '</a>') ?>
</td>
<td align="right">
<?php echo Horde::link('', _("Delete"), 'widget', '', 'deleteSelectedCategories(); return false;') . _("Delete") ?></a> |
<?php echo Horde::link('', _("Move"), 'widget', '', 'moveSelectedCategories(); return false;') . _("Move") ?></a>
<select name="selected_category"><?php echo Trean::categorySelect($GLOBALS['category_id'], PERMS_EDIT, null, DATATREE_ROOT, true, 0, 0, true) ?></select>
</td></tr></table>
<?php endif; ?>

<table class="striped" style="width:100%" cellspacing="0"><tr>
<?php
// Number of columns to display.
$cols = $GLOBALS['prefs']->getValue('browse_columns');

$count = 0;
foreach ($GLOBALS['subcategories'] as $name => $category) {
    echo '<td style="padding:2px; width:' . floor(100 / $cols) . '%">';

    if ($GLOBALS['prefs']->getValue('display_edit')) {
        echo '<input type="checkbox" class="checkbox" name="category[' . $category->getId() . ']" />';
    }
    echo Horde::link(Horde::applicationUrl(Util::addParameter('browse.php', 'category_id', $category->getId()))) . $category->get('name') . '</a>';
    echo '</td>';

    if (!(++$count % $cols)) {
        echo '</tr><tr>';
    }
}

// If the last row is incomplete, fill it in.
while ($count++ % $cols) {
    echo '<td>&nbsp;</td>';
}
?>
</table>

<?php if ($GLOBALS['prefs']->getValue('display_edit')) { echo '</form>'; } ?>
